Ubuntu 10.04 LTS / 12.04 LTS / 14.04 LTS / 14.10 : unzip vulnerabilities (USN-2472-1)

Ubuntu Security Notice (C) 2015-2016 Canonical, Inc. / NASL script (C) 2015-2016 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing a security-related patch.

Description :

Wolfgang Ettlinger discovered that unzip incorrectly handled certain
malformed zip archives. If a user or automated system were tricked
into processing a specially crafted zip archive, an attacker could
possibly execute arbitrary code.

Note that Tenable Network Security has extracted the preceding
description block directly from the Ubuntu security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

Solution :

Update the affected unzip package.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.9
(CVSS2#E:U/RL:U/RC:ND)
Public Exploit Available : false

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 80551 ()

Bugtraq ID: 71790
71792
71793

CVE ID: CVE-2014-8139
CVE-2014-8140
CVE-2014-8141

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now